function videoNew = interpVideoGray(video, frameNum)
% This function interps a video into a given number of frames
% 
% input:
% --video:    m x n x c matrix, c is the current number of frames
% --frameNum: target number of frames
%
% output:   a new video matrix with a given number of frames

sz = size(video);
frameCurNum = sz(3);
frameList = round(frameNum/frameCurNum * (1:frameCurNum));
frameList(1) = 1;
frameList(end) = frameNum;
% exchange the first and fourth dimension
videoTemp = zeros([sz(3) sz(1:2)]);
for i = 1:frameCurNum
    videoTemp(i,:,:) = video(:,:,i);
end
% interp
videoTempNew = interp1(frameList, videoTemp, 1:frameNum);
% exchange back
videoNew = zeros([sz(1:2) frameNum]);
for i = 1:frameNum
    videoNew(:,:,i) = videoTempNew(i,:,:);
end

end
