function au_region = loadROI36(feature_points)
% This function calculates the 36 regions of interest (ROI)
    
    [m, n] = size(feature_points);
    if(m ~= 2 && n ~= 66)
        return;
    end
    
    ROI36X       = zeros(4, 36);            %resultX
    ROI36Y       = zeros(4, 36);            %resultY
    tp          = zeros(2, 22);             %middle point
    fp          = feature_points;           %feature point
    delta       = 20;                       %middle value
    
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%get the middle point
    tp(1,1) = fp(1,18);
    tp(2,1) = max(fp(2, 18) - delta, 0);

    tp(1,2) = fp(1, 20);
    tp(2,2) = max(fp(2, 20) - delta, 0);
    
    tp(1,3) = fp(1, 22);
    tp(2,3) = max(fp(2, 22) - delta, 0);

    tp(1,5) = fp(1, 23);
    tp(2,5) = max(fp(2, 23) - delta, 0);
    
    tp(:,4) = (tp(:, 3) + tp(:, 5)) * 0.5;

    tp(1,6) = fp(1, 25);
    tp(2,6) = max(fp(2, 25) - delta, 0);

    tp(1,7) = fp(1, 27);
    tp(2,7) = max(fp(2, 27) - delta, 0);

    tp(:,8) = (fp(:, 4) + fp(:, 30)) * 0.5;
    
	tp(:,9) = (fp(:, 14) + fp(:, 30)) * 0.5;

	tp(:,10) = (fp(:, 5) + fp(:, 34)) * 0.5;

	tp(:,11) = (fp(:, 13) + fp(:, 34)) * 0.5;
    
    tp(:,12) = (fp(:, 5) + fp(:, 34)) * 0.5;

    tp(:,13) = (fp(:, 13) + fp(:, 34)) * 0.5;
	
    tp(:,14) = (fp(:, 6) + fp(:, 60)) * 0.5;

	tp(:,15) = (fp(:, 12) + fp(:, 56)) * 0.5;

	tp(:,16) = (fp(:, 3) + fp(:, 42)) * 0.5;

	tp(:,17) = (fp(:, 15) + fp(:, 47)) * 0.5;

	tp(:,18) = (fp(:, 6) + fp(:, 60)) * 0.5;

	tp(:,19) = (fp(:, 7) + fp(:, 59)) * 0.5;

	tp(:,20) = (fp(:, 9) + fp(:, 58)) * 0.5;

	tp(:,21) = (fp(:, 11) + fp(:, 57)) * 0.5;

	tp(:,22) = (fp(:, 12) + fp(:, 56)) * 0.5;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%get ROI
    ROI36X(:,1) = [fp(1,18), tp(1,1), tp(1,2), fp(1,20)];
    ROI36Y(:,1) = [fp(2,18), tp(2,1), tp(2,2), fp(2,20)];
	ROI36X(:,2) = [fp(1,20), tp(1,2), tp(1,3), fp(1,22)];
    ROI36Y(:,2) = [fp(2,20), tp(2,2), tp(2,3), fp(2,22)];
	ROI36X(:,3) = [fp(1,22), tp(1,3), tp(1,4), fp(1,28)];
    ROI36Y(:,3) = [fp(2,22), tp(2,3), tp(2,4), fp(2,28)];
	ROI36X(:,4) = [fp(1,28), tp(1,4), tp(1,5), fp(1,23)];
    ROI36Y(:,4) = [fp(2,28), tp(2,4), tp(2,5), fp(2,23)];
	ROI36X(:,5) = [fp(1,23), tp(1,5), tp(1,6), fp(1,25)];
    ROI36Y(:,5) = [fp(2,23), tp(2,5), tp(2,6), fp(2,25)];
	ROI36X(:,6) = [fp(1,25), tp(1,6), tp(1,7), fp(1,27)];
    ROI36Y(:,6) = [fp(2,25), tp(2,6), tp(2,7), fp(2,27)];
	ROI36X(:,7) = [fp(1,2), fp(1,1), fp(1,18), fp(1,37)];
    ROI36Y(:,7) = [fp(2,2), fp(2,1), fp(2,18), fp(2,37)];
	ROI36X(:,8) = [fp(1,37), fp(1,18), fp(1,20), fp(1,39)];
    ROI36Y(:,8) = [fp(2,37), fp(2,18), fp(2,20), fp(2,39)];
	ROI36X(:,9) = [fp(1,39), fp(1,20), fp(1,22), fp(1,40)];
    ROI36Y(:,9) = [fp(2,39), fp(2,20), fp(2,22), fp(2,40)];
	ROI36X(:,10) = [fp(1,40), fp(1,22), fp(1,28), fp(1,29)];
    ROI36Y(:,10) = [fp(2,40), fp(2,22), fp(2,28), fp(2,29)];
	ROI36X(:,11) = [fp(1,29), fp(1,28), fp(1,23), fp(1,43)];
    ROI36Y(:,11) = [fp(2,29), fp(2,28), fp(2,23), fp(2,43)];
	ROI36X(:,12) = [fp(1,43), fp(1,23), fp(1,25), fp(1,44)];
    ROI36Y(:,12) = [fp(2,43), fp(2,23), fp(2,25), fp(2,44)];
	ROI36X(:,13) = [fp(1,44), fp(1,25), fp(1,27), fp(1,46)];
    ROI36Y(:,13) = [fp(2,44), fp(2,25), fp(2,27), fp(2,46)];
	ROI36X(:,14) = [fp(1,46), fp(1,27), fp(1,17), fp(1,16)];
    ROI36Y(:,14) = [fp(2,46), fp(2,27), fp(2,17), fp(2,16)];
	ROI36X(:,15) = [fp(1,4), fp(1,3), tp(1,16), tp(1,8)];
    ROI36Y(:,15) = [fp(2,4), fp(2,3), tp(2,16), tp(2,8)];
	ROI36X(:,16) = [tp(1,8), tp(1,16), fp(1,42), fp(1,40)];
    ROI36Y(:,16) = [tp(2,8), tp(2,16), fp(2,42), fp(2,40)];
	ROI36X(:,17) = [tp(1,8), fp(1,40), fp(1,29), fp(1,30)];
    ROI36Y(:,17) = [tp(2,8), fp(2,40), fp(2,29), fp(2,30)];
	ROI36X(:,18) = [fp(1,30), fp(1,29), fp(1,43), tp(1,9)];
    ROI36Y(:,18) = [fp(2,30), fp(2,29), fp(2,43), tp(2,9)];
	ROI36X(:,19) = [tp(1,9), fp(1,43), fp(1,47), tp(1,17)];
    ROI36Y(:,19) = [tp(2,9), fp(2,43), fp(2,47), tp(2,17)];
	ROI36X(:,20) = [tp(1,9), tp(1,17), fp(1,15), fp(1,14)];
    ROI36Y(:,20) = [tp(2,9), tp(2,17), fp(2,15), fp(2,14)];
	ROI36X(:,21) = [tp(1,12), tp(1,8), fp(1,30), fp(1,34)];
    ROI36Y(:,21) = [tp(2,12), tp(2,8), fp(2,30), fp(2,34)];
	ROI36X(:,22) = [fp(1,34), fp(1,30), tp(1,9), tp(1,13)];
    ROI36Y(:,22) = [fp(2,34), fp(2,30), tp(2,9), tp(2,13)];
	ROI36X(:,23) = [tp(1,14), tp(1,10), fp(1,34), fp(1,60)];
    ROI36Y(:,23) = [tp(2,14), tp(2,10), fp(2,34), fp(2,60)];
	ROI36X(:,24) = [fp(1,56), fp(1,34), tp(1,11), tp(1,15)];
    ROI36Y(:,24) = [fp(2,56), fp(2,34), tp(2,11), tp(2,15)];
	ROI36X(:,25) = [tp(1,19), tp(1,18), fp(1,60), fp(1,59)];
    ROI36Y(:,25) = [tp(2,19), tp(2,18), fp(2,60), fp(2,59)];
	ROI36X(:,26) = [tp(1,20), tp(1,19), fp(1,59), fp(1,58)];
    ROI36Y(:,26) = [tp(2,20), tp(2,19), fp(2,59), fp(2,58)];
	ROI36X(:,27) = [tp(1,21), tp(1,20), fp(1,58), fp(1,57)];
    ROI36Y(:,27) = [tp(2,21), tp(2,20), fp(2,58), fp(2,57)];
	ROI36X(:,28) = [tp(1,22), tp(1,21), fp(1,57), fp(1,56)];
    ROI36Y(:,28) = [tp(2,22), tp(2,21), fp(2,57), fp(2,56)];
	ROI36X(:,29) = [fp(1,5), fp(1,4), tp(1,8), tp(1,12)];
    ROI36Y(:,29) = [fp(2,5), fp(2,4), tp(2,8), tp(2,12)];
	ROI36X(:,30) = [tp(1,13), tp(1,9), fp(1,14), fp(1,13)];
    ROI36Y(:,30) = [tp(2,13), tp(2,9), fp(2,14), fp(2,13)];
	ROI36X(:,31) = [fp(1,6), fp(1,5), tp(1,10), tp(1,14)];
    ROI36Y(:,31) = [fp(2,6), fp(2,5), tp(2,10), tp(2,14)];
	ROI36X(:,32) = [tp(1,15), tp(1,11), fp(1,13), fp(1,12)];
    ROI36Y(:,32) = [tp(2,15), tp(2,11), fp(2,13), fp(2,12)];
	ROI36X(:,33) = [fp(1,7), fp(1,6), tp(1,18), tp(1,19)];
    ROI36Y(:,33) = [fp(2,7), fp(2,6), tp(2,18), tp(2,19)];
	ROI36X(:,34) = [fp(1,9), fp(1,7), tp(1,19), tp(1,20)];
    ROI36Y(:,34) = [fp(2,9), fp(2,7), tp(2,19), tp(2,20)];
	ROI36X(:,35) = [fp(1,11), fp(1,9), tp(1,20), tp(1,21)];
    ROI36Y(:,35) = [fp(2,11), fp(2,9), tp(2,20), tp(2,21)];
	ROI36X(:,36) = [fp(1,12), fp(1,11), tp(1,21), tp(1,22)];
    ROI36Y(:,36) = [fp(2,12), fp(2,11), tp(2,21), tp(2,22)];

for i=1:36
  au_region(i).Points=[ROI36X(:,i) ROI36Y(:,i)]';
end
